u-boot-install-sunxi(8)

NAME
u-boot-install-sunxi - install u-boot for sunxi (Allwinner) devices

SYNOPSIS
u-boot-install-sunxi [-f] card-device-or-image-file

DESCRIPTION
This tool installs a u-boot image to the disk (or possibly a disk image), allowing the machine to boot. The u-boot image is written to an area between the partition table and the first partition; there is no check if it's large enough — some ancient fdisk tools used to reserve only 31KB there, which can result in data loss.

The device will usually be /dev/mmcblk0 for SD card, /dev/mmcblk1 for eMMC, /dev/sdX for USB SD card readers (be careful wrt your other disks!).

By default, the path where .dtb and .bin files are copied from is a subdirectory of /usr/lib/u-boot deduced from the current running system, but if the $TARGET environment variable is set, its contents are used instead.

OPTIONS

-f | --force
    Skip partition table sanity checks. Usually, a MBR partition table is required (so u-boot has something to work with), but in rare setups you may put the data on another disk. Likewise, GPT partition tables are incompatible with the layout used on sunxi devices (spl is written at offset 16384 while GPT occupies bytes [512..33280) ) but this option lets you trample upon them anyway.